# RequestNextLine()

Method in [DialogueRunner](/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md)

## Summary

Requests that all dialogue presenters stop showing the current line, and prepare to show the next piece of content.

```csharp
public void RequestNextLine()
```

## Remarks

The specific behaviour of what happens when this method is called depends on the implementation of the Dialogue Runner's current dialogue presenters.

If the dialogue runner is not currently running a line (for example, if it is running options, or is not running dialogue at all), this method has no effect.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/api/csharp/yarn.unity/yarn.unity.dialoguerunner/yarn.unity.dialoguerunner.requestnextline.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
